# H235_ProfileElement Class Reference

`#include <h235.h>`

Inheritance diagram for H235_ProfileElement:

List of all members.

## Public Types

enum | OptionalFields { e_paramS, e_element }

## Public Member Functions

| H235_ProfileElement (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_elementID
H235_Params | m_paramS
H235_Element | m_element

## Member Enumeration Documentation

enum H235_ProfileElement::OptionalFields

Enumerator:

  e_paramS |
  e_element |

## Constructor & Destructor Documentation

H235_ProfileElement::H235_ProfileElement | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_ProfileElement::GetDataLength | ( |  | ) | const

PBoolean H235_ProfileElement::Decode | ( | PASN_Stream & | strm | ) |

void H235_ProfileElement::Encode | ( | PASN_Stream & | strm | ) | const

void H235_ProfileElement::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_ProfileElement::Compare | ( | const PObject & | obj | ) | const

PObject* H235_ProfileElement::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H235_ProfileElement::m_elementID

H235_Params H235_ProfileElement::m_paramS

H235_Element H235_ProfileElement::m_element

The documentation for this class was generated from the following file:

- h235.h